Berkeley DB Java Edition version 3.2.76

## com.sleepycat.collections
Interface TransactionWorker

    public interface TransactionWorker

The interface implemented to perform the work within a transaction. To run a transaction, an instance of this interface is passed to the `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)` method.

Author:
  Mark Hayes

Method Summary
`void` `doWork()` Perform the work for a single transaction.

Method Detail

### doWork

    void doWork()
                throws Exception

  Perform the work for a single transaction.

  Throws:
    `Exception`
  See Also:
    `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)`

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.